Package ru.bitel.bgbilling.modules.sorm.common.service

# Interface ViewUploadedFilesService

public interface ViewUploadedFilesService
Для отображения и работы с локальными, сформированными файлами

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `deleteFiles(List<String> files)`
  `String`
  `processUploadedFile(ViewUploadFilesConfigurator viewerConfigurator)`
  Обрабатывает файл и возвращает результат для отображения
  `List<String>`
  `searchFilesByPath(String pathToFile)`
  Поиск одного файла с путем до него.
  `List<String>`
  `searchFilesBySormProject(SormProject sormProject, Period period)`
  Получение списка выгруженных локальных файлов

- ## Method Details

  - ### searchFilesBySormProject

    List<String> searchFilesBySormProject(SormProject sormProject, Period period) throws ru.bitel.bgbilling.common.BGException
    Получение списка выгруженных локальных файлов
    Parameters:
      `sormProject` - настроенный проект выгрузки, из которого будет взят путь до локального хранилища файлов
    Returns:
      список локальных файлов, которые могут быть просмотрены
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### searchFilesByPath

    List<String> searchFilesByPath(String pathToFile) throws ru.bitel.bgbilling.common.BGException
    Поиск одного файла с путем до него. Если конечный файл оказывается директорией, то вернет список регулярных файлов в данной директории
    Parameters:
      `pathToFile` - путь до файла или директории
    Returns:
      файл или список файлов в директории
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### processUploadedFile

    String processUploadedFile(ViewUploadFilesConfigurator viewerConfigurator) throws ru.bitel.bgbilling.common.BGException
    Обрабатывает файл и возвращает результат для отображения
    Parameters:
      `viewerConfigurator` - выбранные настройки для просмотра сформированных файлов
    Returns:
      список строк для отображения
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deleteFiles

    void deleteFiles(List<String> files) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`